System.ServiceModel 4.0.0.0 System.IdentityModel.Selectors.SecurityTokenAuthenticator

This authenticator validates only SecurityContextSecurityTokens.

Validates tokens and extracts claims.

- Constructor
  4.0.0.0

  This authenticator validates only SecurityContextSecurityTokens.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Gets a value that indicates whether a specified token can be validated.

  true if the specified token can be validated; otherwise, false.

  The .
- Method
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.IdentityModel.Policy.IAuthorizationPolicy> `` To be added.

  Validates a specified token.

  A collection of instances.

  The .